package com.uas.platform.b2b.manage.model;

import java.math.BigDecimal;

/**
 * 统计信息
 *
 * @author hejq
 * @date 2018-10-17 9:23
 */
public class Statistics {

    /**
     * X轴名称
     */
    private String xAxisName;

    /**
     * 数据
     */
    private BigDecimal count = new BigDecimal(0);

    /**
     * 标题
     */
    private String title;

    public String getxAxisName() {
        return xAxisName;
    }

    public void setxAxisName(String xAxisName) {
        this.xAxisName = xAxisName;
    }

    public BigDecimal getCount() {
        return count;
    }

    public void setCount(BigDecimal count) {
        this.count = count;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 日期常量
     */
    public class DateConstant {

        /**
         * 年
         */
        public static final String YEAR = "year";

        /**
         * 月
         */
        public static final String MONTH = "month";

        /**
         * 日
         */
        public static final String DAY = "day";
    }
}
